package com.philisense.www.service;

import java.util.List;
import java.util.Map;

public interface BaseCRUDService {
    public int deleteByPrimaryKey(String id);

    public Map<String, Object> selectByPrimaryKey(String id);

    public int insert(Map<String, Object> map);

    public int update(Map<String, Object> map);

    public int deleteByMap(Map<String, Object> map);

    public int updateByMap(Map<String, Object> map);

    public Map<String, Object> getOne(Map<String, Object> map);

    public List<Map<String, Object>> getAll(Map<String, Object> map);

    public List<Map<String, Object>> queryPage(Map<String, Object> map);

    public int count(Map<String, Object> map);

    public void insertBatch(List<Map<String, Object>> list);

    public void deleteBatch(List<Map<String, Object>> list);

    public void updateBatch(List<Map<String, Object>> list);
}
